> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Fingerprint

> Create a fingerprint for the client making requests.

See [here](https://app.voker.ai/docs/concepts/events#creating-a-fingerprint) for more information.



## OpenAPI

````yaml /openapi.json put /api/v1/fingerprints
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://evals.voker.ai/api/v1
security: []
paths:
  /api/v1/fingerprints:
    put:
      summary: Create Fingerprint
      description: >-
        Create a fingerprint for the client making requests.


        See
        [here](https://app.voker.ai/docs/concepts/events#creating-a-fingerprint)
        for more information.
      operationId: create_fingerprint_api_v1_fingerprints_put
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            examples:
              - Bearer 123
            type: string
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateFingerprintPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Fingerprint'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateFingerprintPayload:
      properties:
        language:
          type: string
          title: Language
        language_version:
          type: string
          title: Language Version
        openai_sdk_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Openai Sdk Version
        anthropic_sdk_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Anthropic Sdk Version
        gemini_sdk_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Gemini Sdk Version
        voker_sdk_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Voker Sdk Version
        all_packages:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: All Packages
        system:
          type: string
          title: System
        git_repository_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Git Repository Url
        git_branch:
          anyOf:
            - type: string
            - type: 'null'
          title: Git Branch
        git_commit_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Git Commit Hash
        git_commit_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Git Commit Date
      type: object
      required:
        - language
        - language_version
        - system
      title: CreateFingerprintPayload
      description: >-
        Create a fingerprint.


        See [Creating a
        Fingerprint](https://app.voker.ai/docs/concepts/events#creating-a-fingerprint)
        for more information.
      examples:
        - all_packages:
            openai: 1.0.0
            voker: 0.1.0
          language: python
          language_version: 3.10.6
          openai_sdk_version: 1.0.0
          system: macOS 13.5.1
          voker_sdk_version: 0.1.0
    Fingerprint:
      properties:
        fingerprint_id:
          type: string
          format: uuid
          title: Fingerprint Id
      type: object
      required:
        - fingerprint_id
      title: Fingerprint
      description: >-
        Represents a fingerprint.


        See
        [Fingerprints](https://app.voker.ai/docs/concepts/events#fingerprints)
        for more information.
      examples:
        - fingerprint_id: fp_123
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````